Skip to main content
GET
/
clients
Get All Clients
curl --request GET \
  --url https://api.everhour.com/clients \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 4567,
    "name": "Client Name",
    "projects": [
      "ev:1234567890"
    ],
    "businessDetails": "<string>",
    "budget": {
      "type": "money",
      "budget": 100000,
      "period": "general",
      "appliedFrom": "<string>",
      "disallowOverbudget": true,
      "excludeUnbillableTime": true,
      "excludeExpenses": true,
      "threshold": 123,
      "progress": 0
    }
  }
]

Authorizations

X-Api-Key
string
header
required

Query Parameters

query
string

Search Clients by Name

Example:

"Vending Inc"

Response

OK

id
number
required
Example:

4567

name
string
required
Example:

"Client Name"

projects
string[]
required

List of projects ID

Example:
["ev:1234567890"]
businessDetails
string | null
budget
object